Bug 260182 - Highlight variables in text
Summary: Highlight variables in text
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: text-tool (show other bugs)
Version: 2.4.0
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-14 20:58 UTC by Thomas Zander
Modified: 2013-01-16 06:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-16 00:29:44 UTC


---- Reported by zander@kde.org 2010-07-14 20:58:25 ----

In KWord1.x a variable inserted via the 'insert->variable' menu when found in the text was shown with a special outline or something. This is great feedback for the structure of the document.

It would be nice if KWord2 got this feature back.



--- Bug imported by faure@kde.org 2010-12-16 00:31  ---

This bug was previously known as bug 244657.

Comment 1 Camilla Boemann 2012-04-17 11:58:13 UTC
We don't do this, but I agree it would be useful to do when "show formatting characters" is checked
Comment 2 Camilla Boemann 2013-01-16 06:59:26 UTC
Git commit e992d10e88d65fec9dcda52d8176ad5d7297b6e7 by C. Boemann.
Committed on 16/01/2013 at 07:24.
Pushed by boemann into branch 'master'.

Visualize variables and other inline objects (aka forms)

Can be turned on and off via it's own entry in view menu

FEATURE

M  +1    -0    libs/flake/KoCanvasResourceManager.h
M  +3    -0    libs/flake/KoShapePaintingContext.cpp
M  +1    -0    libs/flake/KoShapePaintingContext.h
M  +10   -0    libs/textlayout/KoTextDocumentLayout.cpp
M  +3    -0    libs/textlayout/KoTextDocumentLayout.h
M  +1    -0    plugins/textshape/TextShape.cpp
M  +3    -0    words/part/KWApplicationConfig.cpp
M  +8    -0    words/part/KWApplicationConfig.h
M  +16   -0    words/part/KWView.cpp
M  +2    -0    words/part/KWView.h
M  +2    -1    words/part/words.rc

http://commits.kde.org/calligra/e992d10e88d65fec9dcda52d8176ad5d7297b6e7